Imports System.Threading
Public Class Form2

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If Not ComboBox1.SelectedItem Is Nothing And Not ComboBox2.SelectedItem Is Nothing Then
            If Not _port.IsOpen Then
                Try
                    _port.BaudRate = ComboBox2.SelectedItem
                    _port.PortName = ComboBox1.SelectedItem
                    _port.Open()
                    Button1.Enabled = False
                    Button2.Enabled = True
                    Rx_Flag = True
                Catch ex As Exception
                    MsgBox("Error trying to open the port", MsgBoxStyle.Critical)
                End Try
            End If
        Else
            MsgBox("Select a Port and BaudRate", MsgBoxStyle.Information)
        End If
    End Sub

    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        For Each portName As String In My.Computer.Ports.SerialPortNames
            ComboBox1.Items.Add(portName)
        Next
        If Not _port.IsOpen Then
            Button2.Enabled = False
            ComboBox1.Text = ComboBox1.Items(0)
            ComboBox2.Text = ComboBox2.Items(0)
        Else
            Button1.Enabled = False
            ComboBox1.Text = _port.PortName
            ComboBox2.Text = _port.BaudRate
        End If

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Rx_Flag = False
        Button2.Enabled = False
        Button1.Enabled = True
        Thread.Sleep(500)
        _port.Close()

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Me.Close()
    End Sub
End Class